Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.graphics.editor
Class ViewPane

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JPanel
                              |
                              +--ru.biosoft.graphics.editor.ViewPane

Direct Known Subclasses:
  ViewEditorPane

public class ViewPane
extends JPanel
implements MouseListener, MouseMotionListener

Panel for visualisation of Views. This `Component` can be used in Dialogs or Frames. It is also provides following functionality: 1) zoom support 2) mouse event dispatching 3) selection (through {$link SelectionManager}).

Inner classes inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Inner classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Inner classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent`

Fields inherited from class javax.swing.JComponent
`WHEN_FOCUSED, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_IN_FOCUSED_WINDOW, UNDEFINED_CONDITION, TOOL_TIP_TEXT_KEY`

Fields inherited from class java.awt.Component
`TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT`

Constructor Summary
`ViewPane()`

Method Summary
`void` | `addMouseListener(MouseListener mouseListener)`
`void` | `addMouseMotionListener(MouseMotionListener mouseListener)`
`void` | `addViewPaneListener(ViewPaneListener viewPaneListener)`
`JComponent` | `getContent()`
`double` | `getScaleX()`
`double` | `getScaleY()`
`SelectionManager` | `getSelectionManager()`
`CompositeView` | `getView()`
`View[]` | `getView(Object model)` ? take into account that many views can have the same model ???
`static void` | `makeOffset(View view, Point offset)`
`void` | `mouseClicked(MouseEvent e)`
`void` | `mouseDragged(MouseEvent e)`
`void` | `mouseEntered(MouseEvent e)`
`void` | `mouseExited(MouseEvent e)`
`void` | `mouseMoved(MouseEvent e)`
`void` | `mousePressed(MouseEvent e)`
`void` | `mouseReleased(MouseEvent e)`
`void` | `removeMouseListener(MouseListener mouseListener)`
`void` | `removeMouseMotionListener(MouseMotionListener mouseListener)`
`void` | `removeViewPaneListener(ViewPaneListener viewPaneListener)`
`void` | `repaint()`
`void` | `resetScrollBars()`
`void` | `scale(double sx, double sy)`
`void` | `setBackground(Color color)`
`void` | `setSelectionManager(SelectionManager selectionManager)`
`void` | `setSizeAllign(boolean x, boolean y)`
`void` | `setToScale(double sx, double sy)`
`void` | `setView(CompositeView value)` Set up the view
`void` | `setView(CompositeView value, Point offset)`
`void` | `updateScrollBars()`

Methods inherited from class javax.swing.JPanel
`updateUI, getUIClassID, getAccessibleContext`

Methods inherited from class javax.swing.JComponent
`update, paint, printAll, print, isPaintingTile, isFocusCycleRoot, isManagingFocus, setNextFocusableComponent, getNextFocusableComponent, setRequestFocusEnabled, isRequestFocusEnabled, requestFocus, grabFocus, setVerifyInputWhenFocusTarget, getVerifyInputWhenFocusTarget, setPreferredSize, getPreferredSize, setMaximumSize, getMaximumSize, setMinimumSize, getMinimumSize, isMinimumSizeSet, isPreferredSizeSet, isMaximumSizeSet, contains, setBorder, getBorder, getInsets, getInsets, getAlignmentY, setAlignmentY, getAlignmentX, setAlignmentX, setInputVerifier, getInputVerifier, getGraphics, setDebugGraphicsOptions, getDebugGraphicsOptions, registerKeyboardAction, registerKeyboardAction, unregisterKeyboardAction, getRegisteredKeyStrokes, getConditionForKeyStroke, getActionForKeyStroke, resetKeyboardActions, setInputMap, getInputMap, getInputMap, setActionMap, getActionMap, requestDefaultFocus, setVisible, hide, setEnabled, setForeground, setFont, isFocusTraversable, setToolTipText, getToolTipText, getToolTipText, getToolTipLocation, createToolTip, scrollRectToVisible, setAutoscrolls, getAutoscrolls, enable, disable, getClientProperty, putClientProperty, isLightweightComponent, reshape, getBounds, getSize, getLocation, getX, getY, getWidth, getHeight, hasFocus, isOpaque, setOpaque, computeVisibleRect, getVisibleRect, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener, addVetoableChangeListener, removeVetoableChangeListener, getTopLevelAncestor, addAncestorListener, removeAncestorListener, getListeners, addNotify, removeNotify, repaint, repaint, revalidate, isValidateRoot, isOptimizedDrawingEnabled, paintImmediately, paintImmediately, setDoubleBuffered, isDoubleBuffered, getRootPane`

Methods inherited from class java.awt.Container
`getComponentCount, countComponents, getComponent, getComponents, insets, add, add, add, add, add, remove, remove, removeAll, getLayout, setLayout, doLayout, layout, invalidate, validate, preferredSize, minimumSize, paintComponents, printComponents, addContainerListener, removeContainerListener, deliverEvent, getComponentAt, locate, getComponentAt, findComponentAt, findComponentAt, isAncestorOf, list, list`

Methods inherited from class java.awt.Component
`getName, setName, getParent, getPeer, setDropTarget, getDropTarget, getGraphicsConfiguration, getTreeLock, getToolkit, isValid, isDisplayable, isVisible, isShowing, isEnabled, enable, enableInputMethods, show, show, getForeground, getBackground, getFont, getLocale, setLocale, getColorModel, getLocation, getLocationOnScreen, location, setLocation, move, setLocation, getSize, size, setSize, resize, setSize, resize, getBounds, bounds, setBounds, setBounds, isLightweight, getFontMetrics, setCursor, getCursor, paintAll, repaint, repaint, imageUpdate, createImage, createImage, prepareImage, prepareImage, checkImage, checkImage, inside, contains, dispatchEvent, postEvent, addComponentListener, removeComponentListener, addFocusListener, removeFocusListener, addHierarchyListener, removeHierarchyListener, addHierarchyBoundsListener, removeHierarchyBoundsListener, addKeyListener, removeKeyListener, addInputMethodListener, removeInputMethodListener, getInputMethodRequests, getInputContext, handleEvent, mouseDown, mouseDrag, mouseUp, mouseMove, mouseEnter, mouseExit, keyDown, keyUp, action, gotFocus, lostFocus, transferFocus, nextFocus, add, remove, toString, list, list, list, setComponentOrientation, getComponentOrientation`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ViewPane

    public ViewPane()

Method Detail

### addMouseListener

    public void addMouseListener(MouseListener mouseListener)

### addMouseMotionListener

    public void addMouseMotionListener(MouseMotionListener mouseListener)

### addViewPaneListener

    public void addViewPaneListener(ViewPaneListener viewPaneListener)

### getContent

    public JComponent getContent()

### getScaleX

    public double getScaleX()

### getScaleY

    public double getScaleY()

### getSelectionManager

    public SelectionManager getSelectionManager()

### getView

    public CompositeView getView()

### getView

    public View[] getView(Object model)

  ? take into account that many views can have the same model ???

### makeOffset

    public static void makeOffset(View view, Point offset)

### mouseClicked

    public void mouseClicked(MouseEvent e)

### mouseDragged

    public void mouseDragged(MouseEvent e)

  pending - check

### mouseEntered

    public void mouseEntered(MouseEvent e)

### mouseExited

    public void mouseExited(MouseEvent e)

### mouseMoved

    public void mouseMoved(MouseEvent e)

  pending - check

### mousePressed

    public void mousePressed(MouseEvent e)

### mouseReleased

    public void mouseReleased(MouseEvent e)

### removeMouseListener

    public void removeMouseListener(MouseListener mouseListener)

### removeMouseMotionListener

    public void removeMouseMotionListener(MouseMotionListener mouseListener)

### removeViewPaneListener

    public void removeViewPaneListener(ViewPaneListener viewPaneListener)

### repaint

    public void repaint()

### resetScrollBars

    public void resetScrollBars()

### scale

    public void scale(double sx, double sy)

### setBackground

    public void setBackground(Color color)

### setSelectionManager

    public void setSelectionManager(SelectionManager selectionManager)

### setSizeAllign

    public void setSizeAllign(boolean x, boolean y)

### setToScale

    public void setToScale(double sx, double sy)

### setView

    public void setView(CompositeView value)

  Set up the view

### setView

    public void setView(CompositeView value, Point offset)

### updateScrollBars

    public void updateScrollBars()

Association Links

to Class ru.biosoft.graphics.editor.ViewPane.MPanel

  Panel on which all views are painted

to Class java.awt.geom.AffineTransform

  Transformer for scaling of visual representation of all views

to Class javax.swing.JScrollBar

to Class javax.swing.JScrollBar

to Class javax.swing.JScrollPane

to Class ru.biosoft.graphics.CompositeView

  Storage for views

to Class ru.biosoft.graphics.editor.SelectionManager

to Class java.util.Vector

  listeners storage

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM